> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.alephant.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.alephant.io/_mcp/server.

# Reveal master key (full API key)

POST https://alephant.io/api/v1/master-keys/{id}/reveal

Decrypts and returns the stored provider API key. Owner or admin. Rate-limited per user and key.

Reference: https://developers.alephant.io/sdk-reference/saa-s-sdk/saa-s-api/master-keys/reveal-master-key-full-api-key

## Servers

- `https://alephant.io` (Production, default)
- `https://dev.alephant.io` (Development)

## Request

### Path parameters

- `id` (string, required) — Master key UUID

### Headers

- `Authorization` (string, required) — Bearer \{access\_token}
- `X-Workspace-Id` (string, required) — Workspace UUID

## Response

### 200

data: fullKey

- `fullKey` (string, optional)

## Examples

**Response**

```json
{
  "fullKey": "string"
}
```

**SDK Code**

```python
import requests

url = "https://alephant.io/api/v1/master-keys/id/reveal"

headers = {
    "Authorization": "Authorization",
    "X-Workspace-Id": "X-Workspace-Id"
}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://alephant.io/api/v1/master-keys/id/reveal';
const options = {
  method: 'POST',
  headers: {Authorization: 'Authorization', 'X-Workspace-Id': 'X-Workspace-Id'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://alephant.io/api/v1/master-keys/id/reveal"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Authorization")
	req.Header.Add("X-Workspace-Id", "X-Workspace-Id")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://alephant.io/api/v1/master-keys/id/reveal")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Authorization'
request["X-Workspace-Id"] = 'X-Workspace-Id'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://alephant.io/api/v1/master-keys/id/reveal")
  .header("Authorization", "Authorization")
  .header("X-Workspace-Id", "X-Workspace-Id")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://alephant.io/api/v1/master-keys/id/reveal', [
  'headers' => [
    'Authorization' => 'Authorization',
    'X-Workspace-Id' => 'X-Workspace-Id',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://alephant.io/api/v1/master-keys/id/reveal");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Authorization");
request.AddHeader("X-Workspace-Id", "X-Workspace-Id");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Authorization",
  "X-Workspace-Id": "X-Workspace-Id"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://alephant.io/api/v1/master-keys/id/reveal")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```